package com.ejie.ad74a.util.constantes.ae01b;

import java.util.Locale;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.util.comun.Utilidades;
import com.ejie.ad74a.util.constantes.Constantes;

/**
 * Territorios segun la codificación de sipca
 */

public enum TerritoriosSipcaEnum {

	ARABA("1", "territoriosSipca.araba"), GIPUZKOA("2", "territoriosSipca.gipuzkoa"),
	BIZKAIA("3", "territoriosSipca.bizkaia");

	private TerritoriosSipcaEnum(String id, String labelDesc) {
		this.labelDesc = labelDesc;
		this.id = id;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public Long getIdLongValue() {
		return Long.valueOf(this.id);
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

	public String getLabelDesc(Locale locale) {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc, locale);
	}

}
